Bug 163615 - Palm USB sync fails after first sync
Palm USB sync fails after first sync
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-19 11:05 EDT by Martin
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 08:48:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin 2005-07-19 11:05:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Palm (Treo 650) sync via jpilot works fine with 2.6.11-1.35_FC3.  After upgrade to  2.6.12-1.1372_FC3, I only get one good sync after each system boot.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1372_FC3

How reproducible:
Always

Steps to Reproduce:
1. boot 2.6.12-1.1372_FC3
2. sync Treo 650 with jpilot (ttyUSB5) - good
3. sync again -- no joy
  

Actual Results:  sync fails with a jpilot message "pi_accept Invalid argument --
Exiting with status SYNC_ERROR_PI_ACCEPT".

Expected Results:  normal sync

Additional info:

from /var/log/messages - no apparent error messages:
Jul 19 09:34:34 localhost kernel: usb 4-2: new full speed USB device using uhci_hcd and address 4
Jul 19 09:34:35 localhost kernel: drivers/usb/serial/usb-serial.c: USB Serial support registered for Handspring Visor / Palm OS
Jul 19 09:34:35 localhost kernel: drivers/usb/serial/usb-serial.c: USB Serial support registered for Sony Clie 3.5
Jul 19 09:34:35 localhost kernel: drivers/usb/serial/usb-serial.c: USB Serial support registered for Sony Clie 5.0
Jul 19 09:34:35 localhost kernel: visor 4-2:1.0: Handspring Visor / Palm OS converter detected
Jul 19 09:34:35 localhost kernel: usb 4-2: Handspring Visor / Palm OS converter now attached to ttyUSB4
Jul 19 09:34:35 localhost kernel: usb 4-2: Handspring Visor / Palm OS converter now attached to ttyUSB5
Jul 19 09:34:35 localhost kernel: usbcore: registered new driver visor
Jul 19 09:34:35 localhost kernel: drivers/usb/serial/visor.c: USB HandSpring Visor / Palm OS driver v2.1
Jul 19 09:34:49 localhost kernel: usb 4-2: USB disconnect, address 4
Jul 19 09:34:49 localhost kernel: visor ttyUSB4: Handspring Visor / Palm OS converter now disconnected from ttyUSB4
Jul 19 09:34:49 localhost kernel: visor ttyUSB5: Handspring Visor / Palm OS converter now disconnected from ttyUSB5
Jul 19 09:34:49 localhost kernel: visor 4-2:1.0: device disconnected
Jul 19 09:35:02 localhost kernel: usb 4-2: new full speed USB device using uhci_hcd and address 5
Jul 19 09:35:02 localhost kernel: visor 4-2:1.0: Handspring Visor / Palm OS converter detected
Jul 19 09:35:02 localhost kernel: usb 4-2: Handspring Visor / Palm OS converter now attached to ttyUSB4
Jul 19 09:35:02 localhost kernel: usb 4-2: Handspring Visor / Palm OS converter now attached to ttyUSB5
Jul 19 09:35:19 localhost kernel: usb 4-2: USB disconnect, address 5
Jul 19 09:35:19 localhost kernel: visor ttyUSB4: Handspring Visor / Palm OS converter now disconnected from ttyUSB4
Jul 19 09:35:19 localhost kernel: visor ttyUSB5: Handspring Visor / Palm OS converter now disconnected from ttyUSB5
Jul 19 09:35:19 localhost kernel: visor 4-2:1.0: device disconnected
Comment 1 Martin 2005-07-19 11:33:25 EDT
Reverting to 2.6.11-1.35_FC3 produces normal sync behavior with identical
/etc/udev settings, etc., so it really seems to be a problem with 2.6.12-1.1372_FC3.
Comment 2 Pete Zaitcev 2005-08-16 00:21:52 EDT
I would suspect it's the infamous EBUSY when attempting to switch
altsettings of claimed interfaces, but the actual message says EINVAL above.
Curious...
Comment 3 lehi k davis 2005-08-30 07:54:00 EDT
I am still seeing failures in 2.6.12-1.1376_FC3
Comment 4 Pete Zaitcev 2005-12-20 00:01:58 EST
Did you have a chance to move to FC4? We have a sparkling new 2.6.14 which
may fix this. Also, the userland which does conf settings right (hopefuly).
Pleas let me know.
Comment 5 lehi k davis 2005-12-20 05:26:15 EST
For the record, I do not see this behaviour anymore... The current FC4 kernel
works just dandy.
Comment 6 Dave Jones 2006-01-16 17:20:09 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 7 Dave Jones 2006-02-03 00:24:16 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 8 John Thacker 2006-05-04 08:48:27 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.